package cokr.xit.ens.modules.ktsigntalk.direct.domain.repository;

import cokr.xit.ens.modules.common.domain.SendMast;
import cokr.xit.ens.modules.ktsigntalk.direct.domain.SendDetailKtSigntalk;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;

public interface SendDetailKtSigntalkRepository extends JpaRepository<SendDetailKtSigntalk, Long>, SendDetailKtSigntalkRepositoryCustom {

	List<SendDetailKtSigntalk> findAllBySendMast(SendMast sendMast);

	List<SendDetailKtSigntalk> findAllBySendMastAndSrcKeyIsNotNull(SendMast sendMast);

	Optional<SendDetailKtSigntalk> findBySrcKey(String srcKey);

	Optional<SendDetailKtSigntalk> findByClientSrcKey(String clientSrcKey);

}
